/*
SPDX-License-Identifier: GPL-3.0-or-later
Copyright © 2024 Mike Robeson [dijksterhuis]
*/

use std::error::Error;
use std::path::PathBuf;

pub(crate) type RBoxErr<T> = Result<T, Box<dyn Error>>;

pub(crate) fn get_blank_proj_dirpath() -> PathBuf {
    PathBuf::from("test-data").join("blank-project")
}

pub(crate) fn get_arrange_dirpath() -> PathBuf {
    PathBuf::from("test-data").join("arrange")
}

pub(crate) fn get_bank_dirpath() -> PathBuf {
    PathBuf::from("test-data").join("bank")
}

pub(crate) fn get_samples_dirpath() -> PathBuf {
    PathBuf::from("test-data").join("samples")
}

pub(crate) fn get_project_dirpath() -> PathBuf {
    PathBuf::from("test-data").join("projects")
}

pub(crate) fn get_markers_dirpath() -> PathBuf {
    PathBuf::from("test-data").join("markers")
}
